from django.db import models

# Create your models here.
class TP(models.Model):
    # uid
    uid = models.AutoField(primary_key=True)
    # 视频哈希
    video_hash = models.CharField(max_length=50)
    # 记录仪时间
    record_time = models.DateTimeField()
    # 警号
    police_id = models.CharField(max_length=50)
    # 事件类型
    event_type = models.CharField(max_length=50)
    # 是否违规
    is_violation = models.BooleanField()
    # 缩略图
    small_image = models.CharField(max_length=100)
    # 相对时间
    relative_time = models.FloatField()
    # 视频路径
    video_dir = models.CharField(max_length=100)
    # 车牌号
    car_number = models.CharField(max_length=50)
    # 分析结果
    ai_analysis = models.CharField(max_length=255)
    # 加入时间
    add_time = models.DateTimeField(auto_now_add=True)
    # 更新时间
    update_time = models.DateTimeField(auto_now=True)
    # 是否显示
    is_display = models.BooleanField(default=True)




